Yum Update After Update From 6.3 To 6.4 – Problems With Epel Repository.

Home » CentOS » Yum Update After Update From 6.3 To 6.4 – Problems With Epel Repository.
CentOS 1 Comment

Hi All.

I’ve updated my system from 6.3 to 6.4. In my /etc/yum.repos.depel.repo I
have:
[epel]
name=Extra Packages for Enterprise Linux – $basearch
#baseurl=http://download.fedoraproject.org/pub/epel/6/$basearch mirrorlisthttp://mirrors.fedoraproject.org/mirrorlist?repo=epel-6&arch=$basearch failovermethod=priority gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-5
#gpgkey=http://download.fedora.redhat.com/pub/epel/RPM-GPG-KEY-EPEL-5
exclude=mongodb*
enabled=1
gpgcheck=0

Yum variables are ok:
# python -c ‘import yum, pprint; yb = yum.YumBase();
pprint.pprint(yb.conf.yumvar, width=1)’
Loaded plugins: fastestmirror
{‘arch’: ‘ia32e’,
‘basearch’: ‘x86_64’,
‘releasever’: ‘6’,
‘uuid’: ‘d42ce92e-d28b-4637-8365-2cf02892ee58’}

But yum exits with error:
# yum –disablerepo=’*’ –enablerepo=’epel’ search iotop Loaded plugins: fastestmirror, security Loading mirror speeds from cached hostfile Error: Cannot find a valid baseurl for repo: EPEL

I’ve tried to open http://mirrors.fedoraproject.org/mirrorlist?repo=epel-6&arch=x86_64
but got

# Bad Request 2960
# {‘repo’: u’epel-6′, ‘IP’: IP(‘195.8.99.234’), ‘client_ip’:
u’195.8.99.234′, ‘metalink’: False, ‘arch’: u’x86_64′}

Am I doing something wrong? Any clues?
Best regards, Rafal.

One thought on - Yum Update After Update From 6.3 To 6.4 – Problems With Epel Repository.

  • Have you tried a `yum clean all`

    Also the base arch is your code base, x86_64 etc.

    Try commenting out the mirrorlist= and hit the baseurl= directly.

    baseurl=http://download.fedoraproject.org/pub/epel/6/$basearch
    #mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=epel-6&arch=$basearch

    If you change this you will have to do a `yum clean all`

LEAVE A COMMENT